
typedef struct TransBl {
          GLuint  trbuf;
          GLfloat mm[16],            /* model matrix */
                  wvm[16], wpm[16],  /* window view and projection matrices */
                  mvm[16], mpm[16];  /* mirror view and projection matrices */
          GLfloat eyepos[4], reyepos[4];
          GLfloat wfp[6];
          GLint   viewport[4];
        } TransBl;

GLuint GetAccessToTransBlockUniform ( GLuint program_id );
GLuint NewUniformTransBlock ( void );
void ConstructPMatrix ( TransBl *trans, float left, float right,
                        float bottom, float top, float near, float far,
                        GLint viewport[4], char mirror );
void AttachUniformTransBlockToBP ( GLuint program_id );

void LoadVPMatrix ( TransBl *trans, char mirror );
void LoadMMatrix ( TransBl *trans, GLfloat mm[16] );
void LoadShTrans ( TransBl *trans, GLfloat vm[16],
                   GLfloat pm[16], GLfloat eyepos[4] );

