
#define NTRUOFFS 6

typedef struct TransBl {
          GLuint  trbuf;
          GLfloat mm[16],          /* model matrix */
                  vm[16], pm[16];  /* window view and projection matrices */
          GLfloat eyepos[4], reyepos[4];
        } TransBl;


GLuint GetAccessToTransBlockUniform ( GLuint program_id );
GLuint NewUniformTransBlock ( void );
void AttachUniformTransBlockToBP ( GLuint program_id );

void LoadVPMatrix ( TransBl *trans );
void LoadMMatrix ( TransBl *trans, GLfloat mm[16] );
void LoadShTrans ( GLuint trbuf, GLfloat vm[16], GLfloat pm[16], GLfloat eyepos[4] );

