
#define MAX_BSPATCH_DEG 6

typedef struct BSPatchObjf {
    GLint  udeg, lknu, vdeg, lknv, dim, stride;
    GLuint buf[3];
    GLuint vao;
  } BSPatchObjf;

void GetAccessToBSPatchStorageBlocks ( GLuint program_id );

BSPatchObjf *EnterBSplinePatch ( GLint udeg, GLint lknu, const GLfloat *knotsu,
                                 GLint vdeg, GLint lknv, const GLfloat *knotsv,
                                 GLint dim, GLint stride, const GLfloat *cp,
                                 const GLfloat *colour );
void DeleteBSplinePatch ( BSPatchObjf *bsp );

void SetBSPatchNormals ( BSPatchObjf *bsp, GLint normals );
void SetBSPatchTessLevel ( BSPatchObjf *bsp, GLint tesslevel );

void DrawBSplinePatch ( BSPatchObjf *bsp );
void DrawBSplineCPoints ( BSPatchObjf *bsp );

