
#define MINMAXIT   100
#define MAXMAXIT 16000
#define FTIME        0.032

#define MAX_RC 5.0
#define MIN_RC 1.0e-13

#define RHOMIN 1.0e-4
#define RHOMAX 1.0e+4 
#define DRHO   1.05

#define MAGAA 3

#define STATE_NOTHING           0
#define STATE_PANNING1          1
#define STATE_MOVING_CP1        2 
#define STATE_SCROLLING_PALETTE 3

extern int   wdt, hgh;
extern char  antialias1, showtext1;
extern char  app_state;

void InitMyObject1 ( void );
void DeleteMyObject1 ( void );
void NotifyRectangle ( void );
void FindTheMapping ( int w, int h );
char Zoom ( char in );
char Pan ( double dx, double dy );
void ResetTheMapping ( void );
char ChangeMaxIter ( char inc );
void ChoosePalette ( int np );
char RedrawMyObject1 ( void );

void InitMyObject2 ( void );
void DeleteMyObject2 ( void );
void FindMapping2 ( int width, int height );
char PickBezPoint1 ( double x, double y );
void MoveBezPoint1 ( double x, double y );
void RedrawMyObject2 ( void );

void PaletteReset ( void );
char PaletteDegElev ( void );
char PaletteDegRed ( void );
char PaletteRhoChange ( char inc );

