#version 430 core

#define GAMMA(r) \
  r < 0.0031308 ? 12.92*r : 1.055 * pow ( r, 1.0/2.4 ) - 0.055;

vec3 sRGBGamma ( vec3 colour )
{
  vec3 Colour;

  Colour.r = GAMMA ( colour.r );
  Colour.g = GAMMA ( colour.g );
  Colour.b = GAMMA ( colour.b );
  return Colour;
} /*sRGBGamma*/

